Subject: bug#4136: 23.1; delete-pair

From: martin rudalics <[email-masked]>
Date: Sat, 15 Aug 2009 12:11:29 +0200

> This command is useful even if it doesn't fail on (...] because
 > forward-sexp and backward-sexp don't fail on (...].

Is this carved in stone?  The TODO file has

** (Controlled by a flag) make open and close syntax match exactly,
   i.e. `(' doesn't match `]'.

I always wondered what that entry aimed at ...

 > It seems you and Martin prefer checking against the `insert-pair-alist'
 > because the function name `delete-pair' suggests it should be
 > a counterpart of `insert-pair'.  In this case I think we sould have
 > two commands: one more strict version `delete-pair' that checks
 > `insert-pair-alist', and another loose version with the name e.g.
 > `delete-parens' with the body of the current `delete-pair'.

In any case, removing the first and last character from a name doesn't
strike me as very "pair-like" ;-)

martin